<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aicris.forgiveprudent.mapper.RanInsResultMapper">

    <!-- 根据resultId更新pubexpdate字段为null -->
    <update id="updatePubexpdateToNull">
        UPDATE AICRIS.RANINSRESULT
        SET PUBEXPDATE = NULL
        WHERE RESULTID = #{resultId}
    </update>

    <!-- 根据resultId更新pubexpdate字段为当前时间 -->
    <update id="updatePubexpdateToNow">
        UPDATE AICRIS.RANINSRESULT
        SET PUBEXPDATE = SYSDATE
        WHERE RESULTID = #{resultId}
    </update>

</mapper>
